Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de
Summary:   	archives abstraction library		
Name:      	physfs
Version:   	2.0.0
Release:   	1
Provides:	physfs
License: 	zlib
URL:		http://www.icculus.org/physfs/	
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0:		physfs-disable-werror.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ncurses-devel
BuildRequires:  readline-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: wxGTK-devel
BuildRequires: zlib-devel

%description
PhysicsFS is a library to provide abstract access to various archives. It is intended for use in video games, and the design was somewhat inspired by Quake 3's file subsystem. The programmer defines a "write directory" on the physical filesystem. No file writing done through the PhysicsFS API can leave that write directory, for security. For example, an embedded scripting language cannot write outside of this path if it uses PhysFS for all of its I/O, which means that untrusted scripts can run more safely. Symbolic links can be disabled as well, for added safety. For file reading, the programmer lists directories and archives that form a "search path". Once the search path is defined, it becomes a single, transparent hierarchical filesystem. This makes for easy access to ZIP files in the same way as you access a file directly on the disk, and it makes it easy to ship a new archive that will override a previous archive on a per-file basis. Finally, PhysicsFS gives you platform-abstracted means to determine if CD-ROMs are available, the user's home directory, where in the real filesystem your program is running, etc.

%package devel
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
cmake . -DCMAKE_INSTALL_PREFIX=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so*


%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
#%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Version update
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- version update
* Mon Apr 18 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-2 
- rebuild for readline 5.0 
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-1 
- Initial Release 
